//=========================================================
//  MusE
//  Linux Music Editor
//    $Id: papersize.h,v 1.1.1.1 2003/10/29 10:05:27 wschweer Exp $
//  (C) Copyright 2000 Werner Schweer (ws@seh.de)
//=========================================================

#ifndef __PAPERSIZE_H__
#define __PAPERSIZE_H__

#include <qdialog.h>
#include <qspinbox.h>

class QLineEdit;
class QCheckBox;
class QRadioButton;
class QWidget;
class FontSel;

class MMSpinBox : public QSpinBox {
      virtual QString mapValueToText(int);
      virtual int mapTextToValue(bool* ok);
   public:
      MMSpinBox(int v1, int v2, int step, int value, QWidget* parent);
      };

class ScaleSpinBox : public QSpinBox {
      virtual QString mapValueToText(int);
      virtual int mapTextToValue(bool* ok);
   public:
      ScaleSpinBox(int v1, int v2, int step, int value, QWidget* parent);
      };

//---------------------------------------------------------
//   PageSettings
//---------------------------------------------------------

class PageSettings : public QDialog {
      QLineEdit* u1;
      QLineEdit* u2;
      QRadioButton* a4;
      QRadioButton* user;
      QLineEdit* le1;
      QLineEdit* le2;
      QLineEdit* le3;
      QCheckBox* cb1;
      QCheckBox* cb2;
      QCheckBox* cb3;
      FontSel* fs1;
      FontSel* fs2;
      FontSel* fs3;
      FontSel* fs4;
      FontSel* fs5;
      FontSel* fs6;
      MMSpinBox* sb1;
      MMSpinBox* sb2;
      MMSpinBox* sb3;
      MMSpinBox* sb4;
      QSpinBox* sb5;
      ScaleSpinBox* sb6;
      int paperSize;
      int bp;
      Q_OBJECT

   private slots:
      void selectSize(int);
      void ok();
      void cancel();
      void apply();

   public:
      PageSettings(QWidget* parent);
      };


#endif

